Bug 295141 - Changing bullet list style increases indentation
Summary: Changing bullet list style increases indentation
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: general (show other bugs)
Version: 2.4-snapshots
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-01 14:52 UTC by Giuseppe Calà
Modified: 2012-08-19 08:14 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giuseppe Calà 2012-03-01 14:52:40 UTC
Version:           2.4-snapshots (using KDE 4.8.0) 
OS:                Linux

As in the summary, changing style of bullet/numbered list increases indentation; this behaviour isn't cumulative, meaning that not at every style change a new indentation is added, but just the first time.

Reproducible: Always

Steps to Reproduce:
create a bullet/numbered list

change bullet/numbering type

Actual Results:  
indentation increases (the new style is applied correctly)

Expected Results:  
maintain original indentation
Comment 1 Camilla Boemann 2012-03-01 14:55:50 UTC
confirmed
Comment 2 Giuseppe Calà 2012-03-15 18:44:24 UTC
Confirmed in RC1, too.
Comment 3 Gopalakrishna Bhat 2012-03-16 18:33:17 UTC
I do not consider this as a bug. It is sensible that we add some default indent when creating a list for the first time. In a general use case the user expects this to happen.
Comment 4 Gopalakrishna Bhat 2012-06-15 16:08:42 UTC
Closing based on my prev comment
Comment 5 Giuseppe Calà 2012-06-15 16:26:17 UTC
The bug happens when you _change_ list style, not when creating a list; changing style adds more indent than default. Still present in 2.4.2
Comment 6 Gopalakrishna Bhat 2012-06-15 16:37:10 UTC
Ah...I see it now. Thanks for reporting
Comment 7 Gopalakrishna Bhat 2012-06-27 15:35:51 UTC
Git commit 9e5c5d8fb9701dfb9e59b8a2a8f38b71027e9bda by Gopalakrishna Bhat A.
Committed on 27/06/2012 at 17:32.
Pushed by gopalakrishnabhat into branch 'master'.

Fix bug 295141: The level cannot be zero, it should be >=1.

M  +1    -1    plugins/textshape/dialogs/SimpleParagraphWidget.cpp

http://commits.kde.org/calligra/9e5c5d8fb9701dfb9e59b8a2a8f38b71027e9bda
Comment 8 Giuseppe Calà 2012-08-17 11:00:41 UTC
I'm able to reproduce the bug in version 2.5.
Comment 9 Gopalakrishna Bhat 2012-08-19 08:12:05 UTC
Git commit 6798fe92a3acf9141440a1ae67bf79ef3a7a95a1 by Gopalakrishna Bhat A.
Committed on 27/06/2012 at 17:32.
Pushed by gopalakrishnabhat into branch 'calligra/2.5'.

Fix bug 295141: The level cannot be zero, it should be >=1.
(cherry picked from commit 9e5c5d8fb9701dfb9e59b8a2a8f38b71027e9bda)

M  +1    -1    plugins/textshape/dialogs/SimpleParagraphWidget.cpp

http://commits.kde.org/calligra/6798fe92a3acf9141440a1ae67bf79ef3a7a95a1
Comment 10 Gopalakrishna Bhat 2012-08-19 08:14:19 UTC
It was comitted to the master branch and not to 2.5 branch. I have cherry picked it now to the 2.5 branch. You should be able to see the fix in 2.5.1.